Subject: Re: linux-next: Tree for Nov 6

From: "Longia, Amandeep Kaur" <[email-masked]>
Date: Fri, 7 Nov 2025 00:32:42 +0530

Hi all,

There is a build failure with the Linux kernel tag 'next-20251106'. The 
build process fails with the following errors:

...
In file included from drivers/iommu/generic_pt/fmt/../kunit_generic_pt.h:8,
                  from drivers/iommu/generic_pt/fmt/iommu_template.h:46,
                  from drivers/iommu/generic_pt/fmt/iommu_vtdss.c:10:
drivers/iommu/generic_pt/fmt/../kunit_iommu.h:11:10: fatal error: 
../../iommu-pages.h: No such file or directory
    11 | #include <../../iommu-pages.h>
       |          ^~~~~~~~~~~~~~~~~~~~~
compilation terminated.
In file included from drivers/iommu/generic_pt/fmt/../kunit_generic_pt.h:8,
                  from drivers/iommu/generic_pt/fmt/iommu_template.h:46,
                  from drivers/iommu/generic_pt/fmt/iommu_x86_64.c:11:
drivers/iommu/generic_pt/fmt/../kunit_iommu.h:11:10: fatal error: 
../../iommu-pages.h: No such file or directory
    11 | #include <../../iommu-pages.h>
       |          ^~~~~~~~~~~~~~~~~~~~~
compilation terminated.
In file included from drivers/iommu/generic_pt/fmt/../kunit_generic_pt.h:8,
                  from drivers/iommu/generic_pt/fmt/iommu_template.h:46,
                  from drivers/iommu/generic_pt/fmt/iommu_amdv1.c:15:
drivers/iommu/generic_pt/fmt/../kunit_iommu.h:11:10: fatal error: 
../../iommu-pages.h: No such file or directory
    11 | #include <../../iommu-pages.h>
       |          ^~~~~~~~~~~~~~~~~~~~~
compilation terminated.
make[5]: *** [drivers/iommu/generic_pt/fmt/Makefile:26: 
drivers/iommu/generic_pt/fmt/kunit_iommu_vtdss.o] Error 1
make[5]: *** Waiting for unfinished jobs....
make[5]: *** [drivers/iommu/generic_pt/fmt/Makefile:26: 
drivers/iommu/generic_pt/fmt/kunit_iommu_x86_64.o] Error 1
make[5]: *** [drivers/iommu/generic_pt/fmt/Makefile:26: 
drivers/iommu/generic_pt/fmt/kunit_iommu_amdv1.o] Error 1
make[4]: *** [scripts/Makefile.build:556: drivers/iommu/generic_pt/fmt] 
Error 2
make[4]: *** Waiting for unfinished jobs....
make[3]: *** [scripts/Makefile.build:556: drivers/iommu] Error 2
make[3]: *** Waiting for unfinished jobs....
make[2]: *** [scripts/Makefile.build:556: drivers] Error 2
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [/home/amd/iommu_test/linux/Makefile:2035: .] Error 2
make: *** [Makefile:248: __sub-make] Error 2
Failed while building, exiting...

Currently, I am bisecting between kernel tags 'next-20251106' and 
'next-20251105' to identify the culprit commit causing this issue.

Thanks & Regards,
Amandeep Kaur

On 11/6/2025 10:02 AM, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20251105:
> 
> The vfs-brauner tree lost its build failure, but gained another which
> was resolved when I refetched the tree.
> 
> The bpf-next tree gained a conflict against the bpf tree.
> 
> The bluetooth tree gained a conflict against the net-next tree.
> 
> The ftrace tree gained a build failure so I used the version from
> next-20251105.
> 
> The rcu tree gained a conflict against the ftrace tree.
> 
> Non-merge commits (relative to Linus' tree): 6094
>   7031 files changed, 271866 insertions(+), 90449 deletions(-)
> 
> ----------------------------------------------------------------------------
> 
> I have created today's linux-next tree at
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> (patches at http://www.kernel.org/pub/linux/kernel/next/ ).  If you
> are tracking the linux-next tree using git, you should not use "git pull"
> to do so as that will try to merge the new linux-next release with the
> old one.  You should use "git fetch" and checkout or reset to the new
> master.
> 
> You can see which trees have been included by looking in the Next/Trees
> file in the source.  There is also the merge.log file in the Next
> directory.  Between each merge, the tree was built with a ppc64_defconfig
> for powerpc, an allmodconfig for x86_64, a multi_v7_defconfig for arm
> and a native build of tools/perf. After the final fixups (if any), I do
> an x86_64 modules_install followed by builds for x86_64 allnoconfig,
> powerpc allnoconfig (32 and 64 bit), ppc44x_defconfig, allyesconfig
> and pseries_le_defconfig and i386, arm64, s390, sparc and sparc64
> defconfig and htmldocs. And finally, a simple boot test of the powerpc
> pseries_le_defconfig kernel in qemu (with and without kvm enabled).
> 
> Below is a summary of the state of the merge.
> 
> I am currently merging 408 trees (counting Linus' and 122 trees of bug
> fix patches pending for the current release).
> 
> Stats about the size of the tree over time can be seen at
> http://neuling.org/linux-next-size.html .
> 
> Thanks to Randy Dunlap for doing many randconfig builds.  And to Paul
> Gortmaker for triage and bug fixes.
>